List conversation surfaces
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/surfaces/inbound/http.go`.
/v1/conversations/{id}/surfacesRequires an authenticated tenant principal. Generated from the production route registered in internal/features/surfaces/inbound/http.go.
Authorization
bearerAuth Engine-issued API key or tenant-signed JWT.
In: header
Path Parameters
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/conversations/497f6eca-6276-4993-bfeb-53cbbbba6f08/surfaces"{ "items": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec", "conversation_id": "cc71b11a-25cd-4c2d-9950-df2cc38e3407", "revision": 2, "catalog_version": "1.1.0", "created_at": "2019-08-24T14:15:22Z", "refresh": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "state": "queued", "started_at": "2019-08-24T14:15:22Z", "finished_at": "2019-08-24T14:15:22Z", "problems": [ { "query_id": "q_9f2c1ab40e57", "message": "the dataset is no longer readable by you; ask its owner to share it again" } ], "notices": [ "string" ] } } ]}Set project
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/conversations/inbound/http.go`.
List datasets
Requires an authenticated tenant principal. Generated from the production route registered in `internal/features/rag/inbound/http.go`.